<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Statistik extends CI_Controller {
	function __construct(){
		parent::__construct();
        $this->master_m->HarusLogin();
	}
	
	public function index()
	{
		$val=$this->rekap_individu();
		$data_field=$val['data_field'];
		$table=$val['table'];
		$data['judul']=$val['judul'];
		
		$data['data']=$this->get_statistik($data_field,$table);
		$data['konten']='statistik_v';
		$this->load->view('index_v',$data);
	}
	
	public function jenis($jenis=null)
	{
		$jenis_terdaftar=array('rekap_rts','rekap_individu','rekap_krtp','rekap_individu_usia','rekap_pendidikan_1','rekap_pendidik_2','rekap_kesehatan_1','rekap_kesehatan_2','rekap_kesehatan_3','rekap_kesehatan_4','rekap_ketenagakerjaan_1','rekap_ketenagakerjaan_2','rekap_ketenagakerjaan_3','rekap_info_pokok_rt_1','rekap_info_pokok_rt_2','rekap_info_pokok_rt_3','rekap_info_pokok_rt_4');
		if(in_array($jenis,$jenis_terdaftar)){
			$val=$this->$jenis();
			$data_field=$val['data_field'];
			$data['judul']=$val['judul'];
			
			$data['data']=$this->get_statistik($data_field,$jenis);
			$data['konten']='statistik_v';
			$this->load->view('index_v',$data);
		}else{
			echo 'REKAP TIDAK DITEMUKAN';
		}
	}
	
	function rekap_rts(){
		$data['data_field']=array(
			"JumlahRumahTanggaDesil1_0-10"=>"Jumlah Rumah Tangga Desil 1 (0-10%)",
			"JumlahRumahTanggaDesil211-20"=>"Jumlah Rumah Tangga Desil 2 (11-20%)",
			"JumlahRumahTanggaDesil3_21-30"=>"Jumlah Rumah Tangga Desil 3 (21-30%)",
			"JumlahRumahTanggaDesil4_31-40"=>"Jumlah Rumah Tangga Desil 4 (31-40%)"
		);
		$data['judul']='JUMLAH RUMAH TANGGA DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40%';
		return $data;
	}
	
	function rekap_individu(){
		$data['data_field']=array(
			"JumlahIndividuDesil1_0-10"=>"Jumlah Individu Desil 1 (0-10%)",
			"JumlahIndividuDesil2_10-21"=>"Jumlah Individu Desil 2 (10-21%)",
			"JumlahIndividuDesil3_21-30"=>"Jumlah Individu Desil 3 (21-30%)",
			"JumlahIndividuDesil4_31-40"=>"Jumlah Individu Desil 4 (31-40%)"
		);
		$data['judul']='JUMLAH INDIVIDU DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40% ';
		return $data;
	}
	
	function rekap_krtp(){
		$data['data_field']=array(
			"Usiadibawah45tahun"=>"Usia dibawah 45 tahun",
			"Usia45-dibawah60tahun"=>"Usia 45 - dibawah 60 tahun",
			"Usiadiatas60tahun"=>"Usia diatas 60 tahun"
		);
		$data['judul']='KEPALA KELUARGA PEREMPUAN MENURUT KELOMPOK USIA USIA DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40% ';
		return $data;
	}
	
	function rekap_individu_usia(){
		$data['data_field']=array(
			"Usiadibawah6tahun"=>"Usia dibawah 6 tahun",
			"Usia6-dibawah15tahun"=>"Usia 6 - dibawah 15 tahun",
			"Usia15-dibawah45tahun"=>"Usia 15 - dibawah 45 tahun",
			"Usia45-dibawah60tahun"=>"Usia 45 - dibawah 60 tahun",
			"Usiadiatas60tahun"=>"Usia diatas 60 tahun"
		);
		$data['judul']='STATUS KESEJAHTERAA INDIVIDU MENURUT KELOMPOK USIA DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40% ';
		return $data;
	}
	
	function rekap_pendidikan_1(){
		$data['data_field']=array(
			"BersekolahUsia7-12tahun"=>"Anak Bersekolah Usia 7-12 tahun",
			"BersekolahUsia13-15tahun"=>"Anak Bersekolah Usia 13-15 tahun",
			"BersekolahUsia16-18tahun"=>"Anak Bersekolah Usia 16-18 tahun",
			"TidakSekolahUsia7-12tahun"=>"Anak Tidak Bersekolah Usia 7-12 tahun",
			"TidakSekolahUsia13-15tahun"=>"Anak Tidak Bersekolah Usia 13-15 tahun",
			"TidakSekolahUsia16-18tahun"=>"Anak Tidak Bersekolah Usia 16-18 tahun"
		);
		$data['judul']='ANAK YANG BERSEKOLAH DAN TIDAK BERSEKOLAH  DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40% ';
		return $data;
	}
	
	function rekap_pendidik_2(){
		$data['data_field']=array(
			"SD_SDLB_PaketA"=>" SD/SDLB/Paket A",
			"MadrasahIbtidaiyah"=>"Madrasah Ibtidaiyah",
			"SMPT_SMPLB_PaketB"=>"SMPT/SMPLB/Paket B",
			"MadrasahTsanawiyah"=>"Madrasah Tsanawiyah",
			"SMA_SMK_SMALB_PaketC"=>"SMA/SMK/SMALB/ Paket C",
			"MadrasahAliyah"=>"Madrasah Aliyah",
			"PerguruanTinggi"=>" Perguruan Tinggi"
		);
		$data['judul']='JENIS SEKOLAH ANAK  DENGAN STATUS KESEJAHTERAAN TERENDAH 0-40% ';
		return $data;
	}
	
	function rekap_kesehatan_1(){
		$data['data_field']=array(
			"Jambansendiri"=>" Jamban sendiri",
			"Jambanbersama_Umum"=>"Jamban bersama/Umum",
			"Tidakadatempatbuangairbesar"=>"Tidak ada tempat buang air besar"
		);
		$data['judul']='JENIS TEMPAT BUANG AIR BESAR  RTS DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_kesehatan_2(){
		$data['data_field']=array(
			"Tangki"=>"Tangki",
			"SPAL"=>"SPAL",
			"Lainnya"=>"Lainnya"
		);
		$data['judul']=' JENIS TEMPAT PEMBUANGAN AKHIR TINJA  RTS DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_kesehatan_3(){
		$data['data_field']=array(
			"Usiadibawah15tahun"=>"Usia dibawah 15 tahun",
			"Usia15-dibawah45tahun"=>"Usia dibawah 15 tahun",
			"Usia45-dibawah60tahun"=>"Usia 45 - dibawah 60 tahun",
			"Usiadiatas60tahun"=>" Usia diatas 60 tahun"
		);
		$data['judul']='KECACATAN MENURUT KELOMPOK  USIA DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_kesehatan_4(){
		$data['data_field']=array(
			"Usiadibawah15tahun"=>"Usia dibawah 15 tahun",
			"Usia15-dibawah45tahun"=>"Usia dibawah 15 tahun",
			"Usia45-dibawah60tahun"=>"Usia 45 - dibawah 60 tahun",
			"Usiadiatas60tahun"=>" Usia diatas 60 tahun"
		);
		$data['judul']='PENYAKIT KRONIS MENURUT KELOMPOK USIA DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_ketenagakerjaan_1(){
		$data['data_field']=array(
			"Usia5-dibawah15tahunyangbekerja"=>"Usia 5 - dibawah 15 tahun yang bekerja",
			"Usia5-dibawah15tahunyangtidakbekerja"=>"Usia 5 - dibawah 15 tahun yang tidak bekerja",
			"Usia15-dibawah60tahunyangbekerja"=>"Usia 15 - dibawah 60 tahun yang bekerja",
			"Usia15-dibawah60tahunyangtidakbekerja"=>"Usia 15 - dibawah 60 tahun yang tidak bekerja",
			"Usiadiatas60tahunyangbekerja"=>"Usia diatas 60 tahun yang bekerja",
			"Usiadiatas60tahunyangtidakbekerja"=>"Usia diatas 60 tahun yang tidak bekerja"
		);
		$data['judul']='JUMLAH PEKERJA MENURUT KELOMPOK USIA DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_ketenagakerjaan_2(){
		$data['data_field']=array(
			"Pertaniantanamanpadi&palawija"=>"Pertanian tanaman padi & palawija",
			"Hortikultura"=>"Hortikultura",
			"Perkebunan"=>"Perkebunan",
			"Perikanantangkap"=>"Perikanan tangkap",
			"Perikananbudidaya"=>"Perikanan budidaya",
			"Peternakan"=>"Peternakan",	
			"Kehutanan_pertanianlainnya"=>"Kehutanan/ pertanian lainnya",
			"Pertambangan_penggalian"=>"Pertambangan/ penggalian",
			"Industripengolahan"=>"Industri pengolahan",
			"Listrikdangas"=>"Listrik dan gas",
			"Bangunan_konstruksi"=>"Bangunan/ konstruksi",
			"Perdagangan"=>"Perdagangan",
			"Hoteldanrumahmakan"=>"Hotel dan rumah makan",
			"Transportasidanpergudangan"=>"Transportasi dan pergudangan",
			"Informasi&komunikasi"=>"Informasi & komunikasi",
			"Keuangandanasuransi"=>"Keuangan dan asuransi",
			"JasaPendidikanKesehatanKemasyaraaktanPemerintahan&Perorangan"=>"Jasa Pendidikan, Kesehatan, Kemasyaraaktan, Pemerintahan & Perorangan	",
			"Pemulung"=>"Pemulung",
			"Lainnya"=>"Lainnya"
		);
		$data['judul']='LAPANGAN USAHA KEPALA RUMAH TANGGA  DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_ketenagakerjaan_3(){
		$data['data_field']=array(
			"Pertaniantanamanpadi&palawija"=>"Pertanian tanaman padi & palawija",
			"Hortikultura"=>"Hortikultura",
			"Perkebunan"=>"Perkebunan",
			"Perikanantangkap"=>"Perikanan tangkap",
			"Perikananbudidaya"=>"Perikanan budidaya",
			"Peternakan"=>"Peternakan",	
			"Kehutanan_pertanianlainnya"=>"Kehutanan/ pertanian lainnya",
			"Pertambangan_penggalian"=>"Pertambangan/ penggalian",
			"Industripengolahan"=>"Industri pengolahan",
			"Listrikdangas"=>"Listrik dan gas",
			"Bangunan_konstruksi"=>"Bangunan/ konstruksi",
			"Perdagangan"=>"Perdagangan",
			"Hoteldanrumahmakan"=>"Hotel dan rumah makan",
			"Transportasidanpergudangan"=>"Transportasi dan pergudangan",
			"Informasi&komunikasi"=>"Informasi & komunikasi",
			"Keuangandanasuransi"=>"Keuangan dan asuransi",
			"JasaPendidikanKesehatanKemasyaraaktanPemerintahan&Perorangan"=>"Jasa Pendidikan, Kesehatan, Kemasyaraaktan, Pemerintahan & Perorangan	",
			"Pemulung"=>"Pemulung",
			"Lainnya"=>"Lainnya"
		);
		$data['judul']='LAPANGAN USAHA INDIVIDU (18-60 TAHUN)  DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_info_pokok_rt_1(){
		$data['data_field']=array(
			"Miliksendiri"=>"Milik sendiri",
			"Kontrak_Sewa"=>"Kontrak/Sewa",
			"Bebassewa"=>"Bebas sewa",
			"Lainnya"=>"Lainnya"
		);
		$data['judul']='INFORMASI RUMAH TANGGA (STATUS KEPEMILIKAN TEMPAT TINGGAL) DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_info_pokok_rt_2(){
		$data['data_field']=array(
			"Airkemasan"=>"Air kemasan",
			"Airledeng"=>" Air ledeng",
			"Sumberterlindung"=>"Sumber terlindung",
			"Sumbertidakterlindung"=>"Sumber tidak terlindung"
		);
		$data['judul']='INFORMASI RUMAH TANGGA (SUMBER AIR MINUM UTAMA) DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_info_pokok_rt_3(){
		$data['data_field']=array(
			"ListrikPLN"=>"Listrik PLN",
			"ListriknonPLN"=>"Listrik non PLN",
			"Tidakadalistrik"=>"Tidak ada listrik"
		);
		$data['judul']='INFORMASI RUMAH TANGGA (SUMBER PENERANGAN UTAMA) DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
	function rekap_info_pokok_rt_4(){
		$data['data_field']=array(
			"Listrik_Gas"=>"Listrik/Gas",
			"Minyaktanah"=>"Minyak tanah",
			"Briket_Arang_Kayu"=>"Briket/Arang/Kayu",
			"Tidakmemasakdirumah"=>"Tidak memasak di rumah"
		);
		$data['judul']='INFORMASI RUMAH TANGGA (BAHAN BAKAR UTAMA UNTUK MEMASAK) DENGAN STATUS KESEJAHTERAAN 0-40% TERENDAH';
		return $data;
	}
	
















	
	
	function get_statistik($data_field,$table){
		
		$thead='<tr><th>No</th>';
		$thead.='<th>Kelurahan</th>';
		foreach($data_field as $val){
			$thead.='<th>'.$val.'</th>';
		}
		$thead.='</tr>';
		$q=$this->db->get($table)->result();
		$data_chart='';
		$jum_data=0;
		$jum_field=count($data_field);
		$tbody='';
		$no=1;
		foreach($q as $val){
			$tbody.='<tr>';
			$tbody.='<td>'.$no.'</td>';
			$tbody.='<td>'.$val->nama_kelurahan.'</td>';

			$a=1;
			$data_chart.='{';
				$data_chart.='"nama_kelurahan":"'.$val->nama_kelurahan.'",';
				foreach($data_field as $k=>$v){
					$tbody.='<td>'.$val->$k.'</td>';
					$data_chart.='"'.$k.'":'.$val->$k;
					if($jum_field!=$a)
						$data_chart.=',';
					$a++;

				}
			$data_chart.='},';
			$jum_data++;
			$no++;
			$tbody.='</tr>';
		}
		$data_chart=substr($data_chart, 0, -1);
		$warna=array('#216462','#66883F','#4EA32A','#684D94','#007251','#7CBFB7','#009948','#8DBA23','#D03772','#A5C47D','#A9D3CF','#43AB9B','#ADC822','#FCE220','#D1E2A9','#FBA200','#C364C5','#425cf4','#41f4d9','#4ff441','#f48241','#415bf4');
		return array('data_field'=>$data_field,'jum_data'=>$jum_data,'data_chart'=>$data_chart,'warna'=>$warna,'thead'=>$thead,'tbody'=>$tbody);
	}
}
